Bug 1942694 - Resource names with a colon do not display property in the browser window title
Summary: Resource names with a colon do not display property in the browser window title
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Robb Hamilton
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-24 18:29 UTC by Samuel Padgett
Modified: 2021-07-27 22:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Resource names with a colon were not being decoded prior to being displayed in the browser window title. Consequence: As a result, colons in resource names were displaying as %3A since they were url encoded. Fix: Resource names are now url decoded before being displayed in the browser window title. Result: Resource names with a colon not display as expected in the browser window title.
Clone Of:
Environment:
Version: 4.8.0-0.nightly-2021-03-22-064955 Cluster ID: a6ed01e4-f276-4ea8-8e60-6c71ff515ab3 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:87.0) Gecko/20100101 Firefox/87.0
Last Closed: 2021-07-27 22:55:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
Incorrect tab title (206.59 KB, image/png)
2021-03-24 18:29 UTC, Samuel Padgett
no flags Details
ScreenShot showing correct tab title (107.33 KB, image/png)
2021-03-30 15:37 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8466 0 None open Bug 1942694: decodeURIComponent for name in <title> so special chars… 2021-03-25 14:54:03 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:55:47 UTC

Description Samuel Padgett 2021-03-24 18:29:07 UTC
Created attachment 1766003 [details]
Incorrect tab title

The resource names with special characters like `:` don't render properly in the browser tab title. The special characters are URL encoded, so `:` is replaced with `%3A`. See screenshot.

Comment 2 Siva Reddy 2021-03-30 15:37:28 UTC
Created attachment 1767730 [details]
ScreenShot showing correct tab title

Now the tab title shows not encoded but regular text for title

Version:
4.8.0-0.nightly-2021-03-26-054333

Steps to verify:
 1. Login to admin console and select "openshift" project from Home>Projects
 2. Go to Builds>Image Streams > tag details and click a tag with colon in the name

Now the tab title shows regular text instead of encoded text. Screen shot attached

Comment 5 errata-xmlrpc 2021-07-27 22:55:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.